<p align="center">
  <a href="https://unform.dev">
    <img src="https://storage.googleapis.com/golden-wind/unform/unform.svg" height="150" width="175" alt="Unform" />
  </a>
</p>

<p align="center">Easy peasy highly scalable ReactJS & React Native forms! 🚀</p>

<div align="center">

[![npm](https://img.shields.io/npm/v/@unform/core.svg?color=%238257E5&style=for-the-badge)](https://www.npmjs.com/package/@unform/core)<space><space>
[![Coverage Status](https://img.shields.io/coveralls/github/unform/unform?color=8257E5&style=for-the-badge)](https://coveralls.io/github/unform/unform?branch=main)

</div>

## Overview

Unform is a performance-focused API for creating powerful forms experiences for both React and React Native. Using hooks, you can build lightweight and composable forms based on ultra-extensible components. Integrate with any form library, validate your fields, and have your data out of the box.

- **[Getting started](https://unform.dev/quick-start)**
- **[Installation](https://unform.dev/installation)**

Want to test Unform before using it?

- **[React Playground](https://codesandbox.io/embed/agitated-tdd-uf177?autoresize=1&expanddevtools=1&fontsize=14&hidenavigation=1&theme=dark)**
- **[React Native Playground](https://snack.expo.io/@diego3g/1e9fb3)**

_ps: not available with React Native Web or Expo Web, use the iOS/Android devices in Expo Snack._

## Need help?

We’re using [GitHub Discussions](https://github.com/unform/unform/discussions) to create conversations around Unform. It is a place for our community to connect with each other around ideas, questions, issues, and suggestions.

## Roadmap

If Unform currently doesn't have a certain feature you think it's awesome, be sure to check out the [roadmap](https://www.notion.so/Unform-public-roadmap-e4dff9e2053c4475b162cd19914eab02) to see if this is already planned for the future. Otherwise, we recommend you [create a discussion](https://github.com/unform/unform/discussions/new?category=ideas) describing your enhancement request.

## Contributing

Thank you for being interested in making this package better. We encourage everyone to help improve this project with new features, bug fixes, or performance improvements. Please take a little bit of your time to read our guide to make this process faster and easier.

### Contribution Guidelines

To understand how to submit an issue, commit and create pull requests, check our [Contribution Guidelines](/.github/CONTRIBUTING.md).

### Code of Conduct

We expect you to follow our [Code of Conduct](/.github/CODE_OF_CONDUCT.md). You can read it to understand what kind of behavior will and will not be tolerated.

## License

MIT © [Rocketseat](https://github.com/Rocketseat)
